.services .card {
	display: flex;
	flex-direction: column;
}
.services .card .card-label {
	display: flex;
	flex-direction: column;
	align-items: stretch;
}
.services .card .button {
	min-width: unset;
}

.services .card > *:nth-child(1n + 2) {
	border-top: 1px solid var(--bg-secondary-border);
}
.services .card:has(.open-modal) {
	gap: 20px;
}
.services .card:has(.open-modal) > *:nth-child(1n + 2) {
	border: none !important;
}

.services .card:has(.open-modal) > p:nth-child(1n + 2) {
	display: flex;
	align-items: center;
}

.services .card .card-table-item {
	display: flex;
	flex-direction: column;
	gap: 16px;
}

@media (min-width: 640px) {
	.services .card .button {
		min-width: max-content;
	}
	.services .card .card-label {
		flex-direction: row;
		align-items: center;
	}
}
@media (min-width: 768px) {
	.services .card {
		display: grid;
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}
	.services .card:has(.open-modal) {
		display: flex;
		gap: 20px;
	}

	.services .card:first-of-type > *:nth-child(1n + 2) {
		border-top: none;
	}

	.services .card > *:nth-child(1) {
		grid-column: span 2;
	}

	.card-table-item:nth-last-child(1n + 3)::before {
		content: '';
		position: absolute;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: var(--bg-secondary-border);
		height: 1px;
	}
	.card-table-item:nth-child(2n-4)::after {
		content: '';
		position: absolute;
		right: 0;
		top: 0;
		bottom: 0;
		margin-top: 20px;
		margin-bottom: 20px;
		background-color: var(--bg-secondary-border);
		width: 1px;
	}
	.card-table-item:nth-child(odd):is(
			.card-table-item:nth-last-child(2)
		)::before {
		content: '';
		position: absolute;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: var(--bg-secondary-border);
		height: 1px;
	}
}
@media (min-width: 1024px) {
	.services .card:last-of-type {
		flex-direction: row;
	}
}
